multimedia/mp4v2 - The NetBSD Packages Collection

Library for reading and modifying mp4 files

The MP4v2 library provides an API to create and modify mp4 files
as defined by ISO-IEC:14496-1:2001 MPEG-4 Systems. This file format
is derived from Apple's QuickTime file format that has been used
as a multimedia file format in a variety of platforms and applications.
It is a very powerful and extensible format that can accommodate
practically any type of media.

MP4v2 was originally bundled with mpeg4ip library, but has been
moved into its own maintained library due to a combination of the
cessation of support of mpeg4ip and the usefulness of this library
on its own.

Build dependencies

pkgtools/cwrappers devel/libtool-base devel/gmake

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfmp4v2-4.1.5nb1.tgz
NetBSD 8.0earmv7hfmp4v2-4.1.0.0.tgz
NetBSD 8.0earmv7hfmp4v2-4.1.5nb1.tgz
NetBSD 8.0earmv7hfmp4v2-4.1.6.tgz
NetBSD 8.0i386mp4v2-4.1.0.0.tgz
NetBSD 8.0i386mp4v2-4.1.5nb1.tgz
NetBSD 8.0i386mp4v2-4.1.5nb1.tgz
NetBSD 8.0i386mp4v2-4.1.6.tgz
NetBSD 8.0powerpcmp4v2-4.1.0.0.tgz
NetBSD 8.0powerpcmp4v2-4.1.5nb1.tgz
NetBSD 8.0powerpcmp4v2-4.1.5nb1.tgz
NetBSD 8.0powerpcmp4v2-4.1.6.tgz
NetBSD 8.0powerpcmp4v2-4.1.6.tgz
NetBSD 8.0x86_64mp4v2-4.1.5nb1.tgz
NetBSD 8.0x86_64mp4v2-4.1.0.0.tgz
NetBSD 8.0x86_64mp4v2-4.1.5nb1.tgz
NetBSD 8.0x86_64mp4v2-4.1.6.tgz
NetBSD 9.0aarch64mp4v2-4.1.6.tgz
NetBSD 9.0aarch64mp4v2-4.1.0.0.tgz
NetBSD 9.0aarch64mp4v2-4.1.5nb1.tgz
NetBSD 9.0aarch64mp4v2-4.1.5nb1.tgz
NetBSD 9.0alphamp4v2-4.1.6.tgz
NetBSD 9.0alphamp4v2-4.1.5nb1.tgz
NetBSD 9.0earmmp4v2-4.1.5nb1.tgz
NetBSD 9.0earmmp4v2-4.1.6.tgz
NetBSD 9.0earmv6hfmp4v2-4.1.6.tgz
NetBSD 9.0earmv6hfmp4v2-4.1.0.0.tgz
NetBSD 9.0earmv6hfmp4v2-4.1.5nb1.tgz
NetBSD 9.0earmv6hfmp4v2-4.1.5nb1.tgz
NetBSD 9.0earmv6hfmp4v2-4.1.5nb1.tgz
NetBSD 9.0earmv7hfmp4v2-4.1.6.tgz
NetBSD 9.0earmv7hfmp4v2-4.1.0.0.tgz
NetBSD 9.0earmv7hfmp4v2-4.1.5nb1.tgz
NetBSD 9.0earmv7hfmp4v2-4.1.5nb1.tgz
NetBSD 9.0earmv7hfmp4v2-4.1.5nb1.tgz
NetBSD 9.0earmv7hfmp4v2-4.1.5nb1.tgz
NetBSD 9.0earmv7hfmp4v2-4.1.6.tgz
NetBSD 9.0i386mp4v2-4.1.0.0.tgz
NetBSD 9.0i386mp4v2-4.1.5nb1.tgz
NetBSD 9.0i386mp4v2-4.1.5nb1.tgz
NetBSD 9.0i386mp4v2-4.1.6.tgz
NetBSD 9.0mips64ebmp4v2-4.1.6.tgz
NetBSD 9.0mips64ebmp4v2-4.1.0.0.tgz
NetBSD 9.0mips64ebmp4v2-4.1.5nb1.tgz
NetBSD 9.0mips64ebmp4v2-4.1.5nb1.tgz
NetBSD 9.0mipselmp4v2-4.1.6.tgz
NetBSD 9.0mipselmp4v2-4.1.5nb1.tgz
NetBSD 9.0mipselmp4v2-4.1.5nb1.tgz
NetBSD 9.0powerpcmp4v2-4.1.6.tgz
NetBSD 9.0powerpcmp4v2-4.1.0.0.tgz
NetBSD 9.0powerpcmp4v2-4.1.5nb1.tgz
NetBSD 9.0powerpcmp4v2-4.1.5nb1.tgz
NetBSD 9.0powerpcmp4v2-4.1.6.tgz
NetBSD 9.0sh3elmp4v2-4.1.6.tgz
NetBSD 9.0sh3elmp4v2-4.1.5nb1.tgz
NetBSD 9.0sh3elmp4v2-4.1.5nb1.tgz
NetBSD 9.0sparc64mp4v2-4.1.6.tgz
NetBSD 9.0sparc64mp4v2-4.1.5nb1.tgz
NetBSD 9.0sparcmp4v2-4.1.6.tgz
NetBSD 9.0sparcmp4v2-4.1.0.0.tgz
NetBSD 9.0sparcmp4v2-4.1.5nb1.tgz
NetBSD 9.0sparcmp4v2-4.1.5nb1.tgz
NetBSD 9.0vaxmp4v2-4.1.5nb1.tgz
NetBSD 9.0vaxmp4v2-4.1.5nb1.tgz
NetBSD 9.0vaxmp4v2-4.1.6.tgz
NetBSD 9.0x86_64mp4v2-4.1.5nb1.tgz
NetBSD 9.0x86_64mp4v2-4.1.6.tgz
NetBSD 9.0x86_64mp4v2-4.1.5nb1.tgz
NetBSD 9.0x86_64mp4v2-4.1.6.tgz
NetBSD 9.0x86_64mp4v2-4.1.0.0.tgz
NetBSD 9.0x86_64mp4v2-4.1.5nb1.tgz
NetBSD 9.0x86_64mp4v2-4.1.5nb1.tgz
NetBSD 9.0x86_64mp4v2-4.1.6.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.